.monitoring {
  width: 100%;
  height: 100%;
  display: grid;
  // grid-template-columns: 30% auto;
  // grid-template-rows: 1fr 1fr auto;
  position: relative;
  animation: mtextend 200ms linear both;

  .monitor-sec {
    width: 100%;
    height: 100%;
    grid-column: 2;
    grid-row: 1;
    position: relative;
  }

  .tree-view {
    width: 100%;
    height: 100%;
    background-color: #fff;
    border: 1px solid #ccc;
    grid-column: 1;
    grid-row: 1;
    position: relative;
    z-index: 0;
    animation: extend 200ms linear both;
  }

  .nav-view {
    width: 100%;
    height: 100%;
    background-color: #fff;
    border: 1px solid #ccc;
    grid-column: 1;
    grid-row: 1;
    position: relative;
    z-index: 0;
    animation: extend 200ms linear both;
  }
}

.unvisible {
  animation: slide 200ms linear both;

  .tree-view {
    animation: slide3 200ms linear both;
    // transition: all 3000ms ease;
    // width: 0px;
    // visibility: hidden;
    // overflow: hidden;
  }

  .nav-view {
    animation: slide3 200ms linear both;
  }
}

/* monitoring extend */
@keyframes mtextend {
  from {
    grid-template-columns: 0% auto;
  }

  to {
    grid-template-columns: 30% auto;
  }
}

/* Tree view extend*/
@keyframes extend {
  from {
    width: 0%;
    visibility: hidden;
  }

  to {
    width: 100%;
    visibility: initial;
  }
}

@keyframes slide3 {
  from {
    width: 100%;
    opacity: 1;
  }

  to {
    width: 0%;
    opacity: 0;
    // display: none;
    visibility: hidden;
    // overflow: hidden;
  }
}

@keyframes slide2 {
  from {
    left: 0;
  }

  to {
    left: -500px;
    // display: none;
    visibility: hidden;
    // overflow: hidden;
  }
}



@keyframes slide {
  from {
    grid-template-columns: 30% auto;
  }

  to {
    grid-template-columns: 0% auto;
  }
}

.none {
  display: none;
}
